XmCommandGetChild(3Xm)

NAME
XmCommandGetChild — a Command function that is used to access a component.

SYNOPSIS
#include <Xm/Command.h>

Widget XmCommandGetChild (widget, child)
  Widget    widget;
  unsigned char    child;

DESCRIPTION
XmCommandGetChild is used to access a component within a Command. The parameters given to the function are the Command widget and a value indicating which child to access.

widget
    Specifies the Command widget ID.

child
    Specifies a component within the Command. The following are legal values for this parameter:

•   XmDIALOG_COMMAND_TEXT.

•   XmDIALOG_PROMPT_LABEL.

•   XmDIALOG_HISTORY_LIST.

For a complete definition of Command and its associated resources, see XmCommand(3Xm).

RETURN VALUE
Returns the widget ID of the specified Command child.

RELATED INFORMATION
XmCommand(3Xm).